## landscape-client 0.1

=== debian/changelog ===
landscape-client (0.1) dapper; urgency=low

  * Empty placeholder package

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri, 26 May 2006 06:37:55 -0700
