=== debian/control ===
Source: landscape-client
Section: admin
Priority: optional
Maintainer: Matt Zimmerman <mdz@ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 4)

Package: landscape-client
Architecture: all
Description: Placeholder for the Landscape client
 This package is currently empty, but will be updated to contain a client for
 the Landscape system.  Landscape is a web-based tool for managing Ubuntu
 systems.
