=== debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	dh_clean
	rm -f build

install: build
	dh_clean
	dh_installdirs

build:
	touch build

binary-indep: install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	# Nothing to do

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean checkroot
