## landscape-client 1.5.2.1

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	$(PYTHON) setup.py build_ext -i
 
 check: build
-	-./test
+	-trial landscape
 	-pyflakes landscape
 
 checkcertificate:
