=== smart-update/Makefile ===

smart-update: smart-update.c
	$(CC) $(CFLAGS) -Wall $< -o $@

clean:
	rm -f smart-update
