## landscape-client 11.02

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,9 @@
 
 check: build
 	-trial landscape
-	-pyflakes landscape
+
+pyflakes:
+	-pyflakes `find landscape -name \*py|grep -v twisted_amp\.py|grep -v configobj\.py|grep -v mocker\.py`
 
 checkcertificate:
 	-echo | openssl s_client -connect landscape.canonical.com:443 -CAfile /etc/ssl/certs/ca-certificates.crt
