## landscape-client 12.05

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 PYDOCTOR ?= pydoctor
-TXT2MAN=man/txt2man
+TXT2MAN ?= txt2man 
 PYTHON ?= python
+TRIAL_ARGS ?= 
+TEST_COMMAND = trial $(TRIAL_ARGS) landscape
 
 all: build
 
@@ -8,7 +10,20 @@
 	$(PYTHON) setup.py build_ext -i
 
 check: build
-	-trial landscape
+	@if [ -z "$$DBUS_SESSION_BUS_ADDRESS" ]; then \
+		OUTPUT=`dbus-daemon --print-address=1 --print-pid=1 --session --fork`; \
+		export DBUS_SESSION_BUS_ADDRESS=`echo $$OUTPUT | cut -f1 -d ' '`; \
+		DBUS_PID=`echo $$OUTPUT | cut -f2 -d ' '`; \
+		trap "kill $$DBUS_PID" EXIT; \
+	fi; \
+	if [ -z "$$DISPLAY" ]; then \
+		xvfb-run $(TEST_COMMAND); \
+	else \
+	    $(TEST_COMMAND); \
+	fi
+
+lint:
+	bzr ls-lint
 
 pyflakes:
 	-pyflakes `find landscape -name \*py|grep -v twisted_amp\.py|grep -v configobj\.py|grep -v mocker\.py`
@@ -33,9 +48,9 @@
 	-${PYDOCTOR} --make-html --html-output docs/api/twisted --add-package /usr/share/pyshared/twisted -o docs/api/twisted/pickle
 
 manpages:
-	${TXT2MAN} -P Landscape -t landscape-client < man/landscape-client.txt > man/landscape-client.1
-	${TXT2MAN} -P Landscape -t landscape-config < man/landscape-config.txt > man/landscape-config.1
-	${TXT2MAN} -P Landscape -t landscape-message < man/landscape-message.txt > man/landscape-message.1
+	${TXT2MAN} -P Landscape -s 1 -t landscape-client < man/landscape-client.txt > man/landscape-client.1
+	${TXT2MAN} -P Landscape -s 1 -t landscape-config < man/landscape-config.txt > man/landscape-config.1
+	${TXT2MAN} -P Landscape -s 1 -t landscape-message < man/landscape-message.txt > man/landscape-message.1
 
 package: manpages
 	@fakeroot debian/rules binary
