=== debian/changelog ===
landscape-client (12.05-0ubuntu1.12.04) precise-proposed; urgency=low

  * Added fix for lshw storm when the client was talking to an old
    Landscape server which was then upgraded (LP: #1053057).

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 25 Sep 2012 05:58:44 -0700

landscape-client (12.05-0ubuntu0.12.04) precise-proposed; urgency=low

  * New upstream release 12.05 (r561 in trunk) (LP: #1004678).
  * Make all subpackages that depend on each other require the exact same
    version, instead of >= $version.
  * Added python-gi to client depends starting natty.
  * Make change-packages also handle package holds (LP: #972489).
  * Fix typo in glade file (LP: #983096).
  * Tidy up apt facade (LP: #985493).
  * Remove SmartFacade and its tests, no longer used (LP: #996269).
  * Remove check for apt version, since we won't release this for
    Hardy where that check matters (LP: #996837).
  * Remove methods that were smart specific. We no longer use smart
    (LP: #996841).
  * Remove smart-update helper binary. We no longer use smart
    (LP: #997408).
  * Remove test-mixins that were useful only during the apt-to-smart
    code migration. Now with smart gone, they are no longer necessary
    (LP: #997760).
  * Build the packages from precise onward, not just precise.
  * Assorted packaging fixes:
    - Switched to format 3.0 (quilt).
    - Added source lintian overrides, with comments.
    - Updated debian/rules:
      - Added build-arch and build-indep dummy target.
      - Build the GUI packages from precise onwards, and not just on precise.
      - Re-enable dh_lintian.
      - Strip the binaries (dh_strip), and also call dh_shlibdeps for the
        automatic shlibs dependency.
      - Added python-gi from natty onwards.
    - Used __Choices instead of _Choices in landscape-common.templates, it's
      better for translators.
    - Updated standard version to 3.8.2, the version from Lucid (oldest one
      we support)
    - Added shlibs depends.
    - Dropped deprecated ${Source-Version} and replaced it with
      ${binary:Version}
    - Require exact version of the sibling package instead of >=.

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 19 Jun 2012 12:10:15 -0300

landscape-client (12.04.3-0ubuntu1) precise; urgency=low

  * Warn on unicode entry into settings UI (LP: #956612).
  * Sanitise hostname field in settings UI (LP: #954507).
  * Make it clear that the Landscape service is commercial (LP: #965850)
  * Further internationalize the settings UI (LP: #962899)

 -- David Britton <dpb@canonical.com>  Wed, 28 Mar 2012 10:59:58 -0600

landscape-client (12.04.2-0ubuntu1) precise; urgency=low

  * Depend on python-aptdaemon.gtk3widgets instead of python-aptdaemon and
    replace dependency on python-gobject by python-gi (LP: #961894)
  * Add i18n to the landscape-client-ui-install script. (LP: #961891)

 -- David Britton <dpb@canonical.com>  Thu, 22 Mar 2012 10:10:39 -0600

landscape-client (12.04.1-0ubuntu1) precise; urgency=low

  * Fix default landscape hostname in glib schema.
  * dpkg test improvements to fix intermittent failures.
  * If ssl_public_key is supplied, use it also when fetching script
    attachments. This fixes the case of using script execution with
    attachments when the Landscape server is using a custom CA,
    most common in LDS deployments. (LP: #959846)
  * Make sure we have a PATH variable set before doing package
    activities, and also set it in the initscript for good measure. If
    the client was configured and restarted by the new UI configuration
    tool, PATH wasn't set, triggering an error in dpkg. (LP: #961190)
  * Make landscape-client-ui depend on landscape-client-ui-install, so
    that we get an entry in the system settings if just
    landscape-client-ui is installed. The actual entry comes from
    landscape-client-ui-install.
  * Optimization: when adding binaries, don't reload every repo, only the one
    containing the binaries. (LP: #954822)
  * Handle the case where the user clicks twice inadvertently on the
    Landscape icon in system settings and don't start a second copy of
    itself. (LP: #960211)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 21 Mar 2012 16:15:49 -0300

landscape-client (12.04-0ubuntu1) precise; urgency=low

  * d/control: Dropping python-central and python-support since
    they are not used except in backports, and are not in main.

 -- Clint Byrum <clint@ubuntu.com>  Mon, 19 Mar 2012 16:05:49 -0700

landscape-client (12.04-0ubuntu0.12.04.0) precise; urgency=low

  * Change package management features to use APT instead of Smart (LP: #856244,
    #861707, #859615, #861345, #863239, #863259, #865270, #865272, #865285,
    #865273, #871641, #865299, #873196, #873939, #876493, #881973, #882438,
    #866014, #881998, #884142, #884151, #884131, #887037, #886208, #887578,
    #887947, #889067, #889069, #889087, #889099, #865303, #889113, #890605,
    #890606, #890609, #897416, #891855, #898681, #898683, #897656, #898542,
    #862212, #903202, #914734, #914735, #914737, #916301, #915280, #914742,
    #918925, #918175, #919179, #921664, #921699, #922582, #922511, #921712,
    #928750, #932136, #928941, #937411, #937567, #925543, #947803, #952973,
    #948142, #953136, #953906, #956590).
  * Add a GTK interface to configure the client (LP: #911279, #911666, #912163,
    #911665, #916300, #931937, #931937, #943622, #945025, #911279, #944652,
    #948464, #948416, #949158, #911671, #950864, #949208, #949147, #953070,
    #953292, #953463, #953034, #949200, #953026, #954499, #954516, #954285,
    #953065, #954414, #954332, #954542, #955966, #955139, #956030, #956119).
  * Add the ability to auto discover the server location on local deployment
    (LP: #917422, #927620, #917422, #928585, #929087, #932325, #948564) 
  * Allow the client to accept arbitrary environment variables from the
    server for script execution (LP: #954999).

