=== debian/control ===
Source: landscape-client
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Landscape Team <landscape-team@canonical.com>
Build-Depends: debhelper (>= 5), po-debconf, python-dev, lsb-release, gawk, python-twisted-core, python-distutils-extra
Standards-Version: 3.8.2
XS-Python-Version: >= 2.4, << 2.8

Package: landscape-common
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${extra:Depends},
         ${shlibs:Depends},
         python-gnupginterface,
         python-twisted-core,
         python-apt,
         ca-certificates,
         python-gdbm,
         lsb-release,
         lsb-base,
         adduser,
         bc,
         lshw
Suggests: ${extra:Suggests}
Replaces: landscape-client (<= 1.0.23-0ubuntu0.8.10)
Description: The Landscape administration system client - Common files
 Landscape is a web-based tool for managing Ubuntu systems. This
 package is necessary if you want your machine to be managed in a
 Landscape account.
 .
 This package provides the core libraries.
XB-Python-Version: ${python:Versions}

Package: landscape-client
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${extra:Depends},
         ${shlibs:Depends},
         python-twisted-web,
         python-twisted-names,
         landscape-common (= ${binary:Version})
Suggests: ${extra:Suggests}
Description: The Landscape administration system client
 Landscape is a web-based tool for managing Ubuntu systems. This
 package is necessary if you want your machine to be managed in a
 Landscape account.
 .
 This package provides the Landscape client and requires a Landscape account.
XB-Python-Version: ${python:Versions}

Package: landscape-client-ui
Architecture: any
Depends: ${python:Depends}, ${misc:Depends},
         landscape-client (= ${binary:Version}),
         landscape-client-ui-install (= ${binary:Version}),
         python-gi,
         python-dbus,
         policykit-1,
         gir1.2-notify-0.7,
         gir1.2-gtk-3.0
Description: The Landscape administration system client - UI configuration
 Landscape is a web-based tool for managing Ubuntu systems.
 .
 This package provides the Landscape client configuration UI.
XB-Python-Version: ${python:Versions}

Package: landscape-client-ui-install
Architecture: any
Depends: ${python:Depends}, ${misc:Depends},
         python-gi,
         python-dbus,
         policykit-1,
         gir1.2-gtk-3.0,
         python-aptdaemon.gtk3widgets
Description: The Landscape administration system client - UI installer
 Landscape is a web-based tool for managing Ubuntu systems.
 .
 This package provides an automatic installer for landscape-client-ui.
XB-Python-Version: ${python:Versions}
