=== debian/changelog ===
landscape-client (12.12-0ubuntu3) raring; urgency=low

  * Fixed sed command that updated registration_key (LP: #1131355).

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 21 Feb 2013 16:35:46 -0300

landscape-client (12.12-0ubuntu2) raring; urgency=low

  * Added some fixes to the French translation file.

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 24 Jan 2013 11:46:22 -0200

landscape-client (12.12-0ubuntu1) raring; urgency=low

  * New upstream release
  * Slightly better regexp to change registration_password to
    registration_key during upgrades.
  * Detect Microsoft Hyper-V virtualization (LP: #1087185).
  * Prevent Apport from generating crash reports when dpkg returns an error
    (LP: #1076150).

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 10 Dec 2012 10:27:12 -0200

landscape-client (12.11-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Dropped lshw-storm-1053057 patch, already applied.
  * New manpage: landscape-sysinfo(1)
  * Upstream changed a config setting from registration_password to
    registration_key. Adjust scripts and configs accordingly.
  * Install new sample config file in the doc directory.
  * Only depend on python-gnupginterface for releases before Quantal.
  * Ensure ownership of our config file (LP: #1066116).
  * Gearing towards debhelper 7 compatibility. Replaced dh_clean -k with
    dh_prep.

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 21 Nov 2012 15:24:20 -0200

landscape-client (12.05-0ubuntu3) raring; urgency=low

  * Drop python-gnupginterface dependency. (LP: #1045237).

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 09 Nov 2012 10:55:22 +0000

landscape-client (12.05-0ubuntu2) quantal-proposed; urgency=low

  * Added fix for lshw storm when the client was talking to an old
    Landscape server which was then upgraded (LP: #1053057).

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 20 Sep 2012 15:28:37 -0700

landscape-client (12.05-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release 12.05 (r561 in trunk) (LP: #1004678).
  * Make all subpackages that depend on each other require the exact same
    version, instead of >= $version.
  * Added python-gi to client depends starting natty.
  * Make change-packages also handle package holds (LP: #972489).
  * Fix typo in glade file (LP: #983096).
  * Tidy up apt facade (LP: #985493).
  * Remove SmartFacade and its tests, no longer used (LP: #996269).
  * Remove check for apt version, since we won't release this for
    Hardy where that check matters (LP: #996837).
  * Remove methods that were smart specific. We no longer use smart
    (LP: #996841).
  * Remove smart-update helper binary. We no longer use smart
    (LP: #997408).
  * Remove test-mixins that were useful only during the apt-to-smart
    code migration. Now with smart gone, they are no longer necessary
    (LP: #997760).
  * Build the packages from precise onward, not just precise.
  * Assorted packaging fixes:
    - Switched to format 3.0 (quilt).
    - Added source lintian overrides, with comments.
    - Updated debian/rules:
      - Added build-arch and build-indep dummy target.
      - Build the GUI packages from precise onwards, and not just on precise.
      - Re-enable dh_lintian.
      - Strip the binaries (dh_strip), and also call dh_shlibdeps for the
        automatic shlibs dependency.
      - Added python-gi from natty onwards.
    - Used __Choices instead of _Choices in landscape-common.templates, it's
      better for translators.
    - Updated standard version to 3.8.2, the version from Lucid (oldest one
      we support)
    - Added shlibs depends.
    - Dropped deprecated ${Source-Version} and replaced it with
      ${binary:Version}
    - Require exact version of the sibling package instead of >=.

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 01 Jun 2012 17:48:43 -0300
