=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Landscape Team <landscape-team@canonical.com>
-Build-Depends: debhelper (>= 5), po-debconf, python-dev, lsb-release, gawk, python-twisted-core, python-distutils-extra
+Build-Depends: debhelper (>= 7), po-debconf, python-dev, lsb-release, gawk, python-twisted-core, python-distutils-extra
 Standards-Version: 3.8.2
 XS-Python-Version: >= 2.4, << 2.8
 
@@ -11,7 +11,6 @@
 Architecture: any
 Depends: ${python:Depends}, ${misc:Depends}, ${extra:Depends},
          ${shlibs:Depends},
-         python-gnupginterface,
          python-twisted-core,
          python-apt,
          ca-certificates,
@@ -22,7 +21,12 @@
          bc,
          lshw
 Suggests: ${extra:Suggests}
-Replaces: landscape-client (<= 1.0.23-0ubuntu0.8.10)
+# added/changed when we moved the sysinfo manpage from client to common
+# in r582. There is no accompaining "Breaks" because -client requires
+# the exact same version of -common, which will trigger the upgrade
+# and avoid the case discussed in
+# http://www.debian.org/doc/debian-policy/footnotes.html#f53
+Replaces: landscape-client (<< 12.09+bzr582)
 Description: The Landscape administration system client - Common files
  Landscape is a web-based tool for managing Ubuntu systems. This
  package is necessary if you want your machine to be managed in a
