=== debian/changelog ===
landscape-client (13.07.3-0ubuntu1) saucy; urgency=low

  * New release: 13.07.3
    - The metadata.d/ directory was renamed to annotations.d/ (LP: #1226087)
    - Metadata exchange mechanism now uses the less ambiguous term
      "annotations" instead of "metadata". (LP: #1226597)

 -- Christopher Glass (Canonical) <christopher.glass@canonical.com>  Wed, 18 Sep 2013 11:42:28 +0200

landscape-client (13.07.1-0ubuntu2) saucy; urgency=low

  * New upstream version (LP: #1190510)
   - New metadata exchange mechanism allows clients to send any key-value data
     to the landscape server (LP: #1123932)
   - Network devices now report their maximum theoretical speeds, and duplex
     status to landscape-server (LP: #1126330, LP: #1130130)
   - Landscape.client is now HA aware when HA is implemented using juju
     charms (LP: #1122508)
   - The landscape client will now trigger a reboot if server sends a
     reboot-required message. (LP: #1133005)
   - Big AMP code cleanup and refactoring in order to improve testing, improve
     performance and ease future maintainability (LP: #1165047, LP: #1169102,
     LP: #1170669, LP: #1170669, LP: #1170669, LP: #1170669, LP: #1170669,
     LP: #1170669, LP: #1170669, LP: #1170669, LP: #1170669)
   - Added logic to detect cloned (virtual) computers (LP: #1161856)
   - The landscape-client and landscape-common packages do not use or depend
     on dbus code anymore, and the dependencies to python-gi and gudev are
     dropped. The hardware info plugin now looks at /proc instead of querying
     DBus (LP: #1175553, LP: #1180691)
   - The ceph manager plugin is now a monitor plugin and thus does not require
     root privileges anymore. (LP: #1186973)
   - The detection logic for virtual machine was changed to account for the
     different semantics between Openstack Folsom and Grizzly, and was
     expanded to detect more hypervisors (LP: #1191843)
   - Removed legacy upgrader code from postinst since support for it was
     dropped.
   - French translation patches were removed since the changes were merged
     upstream.
   - Removed legacy upgrader from postinst.
   - The /etc/dbus-1/system.d/landscape.conf file was moved from the
     landscape-common package to the landscape-client-ui as part of
     LP: #1175553, LP: #1180691. The added "Replaces:" stanza does not need
     an equivalent "Breaks:" since packages depend on each other with a
     strictly equal version number, avoiding the case described in 
     http://www.debian.org/doc/debian-policy/footnotes.html#f53

 -- Christopher Glass (Canonical) <christopher.glass@canonical.com>  Fri, 9 Aug 2013 17:01:28 +0200
