=== debian/control ===
--- 
+++ 
@@ -19,7 +19,8 @@
          lsb-base,
          adduser,
          bc,
-         lshw
+         lshw,
+         libpam-modules
 Suggests: ${extra:Suggests}
 # added/changed when we moved the sysinfo manpage from client to common
 # in r582. There is no accompaining "Breaks" because -client requires
@@ -41,6 +42,7 @@
          ${shlibs:Depends},
          python-twisted-web,
          python-twisted-names,
+         python-pycurl,
          landscape-common (= ${binary:Version})
 Suggests: ${extra:Suggests}
 Description: The Landscape administration system client
@@ -61,6 +63,12 @@
          policykit-1,
          gir1.2-notify-0.7,
          gir1.2-gtk-3.0
+# Added when we moved the /etc/dbus-1/system.d/landscape.conf file from -client to
+# -client-ui in r682. There is no accompaining "Breaks" because -client-ui requires
+# the exact same version of -client, which will trigger the upgrade
+# and avoid the case discussed in
+# http://www.debian.org/doc/debian-policy/footnotes.html#f53
+Replaces: landscape-client (<< 13.05.1+bzr682)
 Description: The Landscape administration system client - UI configuration
  Landscape is a web-based tool for managing Ubuntu systems.
  .
