## landscape-client 14.01

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 TXT2MAN ?= txt2man 
 PYTHON ?= python
 TRIAL_ARGS ?= 
-TEST_COMMAND = trial $(TRIAL_ARGS) landscape
+TEST_COMMAND = trial --unclean-warnings $(TRIAL_ARGS) landscape
 UBUNTU_RELEASE := $(shell lsb_release -cs)
 # version in the code is authoritative
 # Use := here, not =, it's really important, otherwise UPSTREAM_VERSION
