=== apt-update/Makefile ===
NAME = apt-update

$(NAME): $(NAME).c
	$(CC) $(CFLAGS) -Wall $< -o $@

clean:
	rm -f $(NAME)
