=== debian/changelog ===
landscape-client (14.01-0ubuntu3) trusty; urgency=medium

  * landscape-sysinfo should ignore non existent or unreadable default
    config files. (LP: #1293990)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 28 Mar 2014 10:20:01 -0300

landscape-client (14.01-0ubuntu2) trusty; urgency=low

  * Added missing python-configobj dependency to -common (LP: #1283716)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 24 Feb 2014 09:43:33 -0300

landscape-client (14.01-0ubuntu1) trusty; urgency=low

  * New upstream release: 14.01
  * Dropped unity-control-center patch, already applied upstream

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 20 Feb 2014 12:03:20 -0300

landscape-client (13.07.3-0ubuntu2) trusty; urgency=medium

  * debian/patches/unity-control-center.patch:
    - Show in both GNOME control center and Unity control center (LP: #1257505)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 29 Jan 2014 10:44:27 +1300
