=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Depends: ${python:Depends}, ${misc:Depends}, ${extra:Depends},
          ${shlibs:Depends},
          python-twisted-core,
+         python-configobj,
          python-apt,
          ca-certificates,
          python-gdbm,
