## landscape-client 14.12

=== debian/changelog ===
landscape-client (14.12-0ubuntu6.14.04.4) trusty; urgency=medium

  * debian/patches/nutanix-kvm.patch: Update vm_info.py to include Nutanix
    hypervisor. (LP: #1788219)
  * Fixes for release-upgrade (LP: #1699179).
    - debian/patches/1699179-release-upgrade-check.diff: Check if ubuntu-
      release-upgrader is running before apt-update. (LP: #1699179)
    - debian/patches/release-upgrade-success.patch: Enable landscape-client to
      survive trusty upgrade. (LP: #1670291)
    - debian/patches/post-upgrade-reboot.patch: Force reboot operation in
      case systemd fails. (LP: #1670291)
  * debian/patches/1616116-resync-loop.patch:
    Clear hash id database on package resync. (LP: #1616116)

 -- Simon Poirier <simon.poirier@canonical.com>  Tue, 27 Nov 2018 09:24:22 -0500

landscape-client (14.12-0ubuntu6.14.04.3) trusty; urgency=medium

  * d/p/detect-cloudstack-kvm-1754073.patch: Detect CloudStack
    kvm hypervisor (LP: #1754073)

 -- Simon Poirier <simon.poirier@canonical.com>  Mon, 26 Mar 2018 21:44:38 +0000

landscape-client (14.12-0ubuntu6.14.04.2) trusty; urgency=medium

  * d/p/set-vm-info-to-kvm-for-aws-C5-instances.patch:
    Sets vm_info to kvm for new AWS EC2 C5 instances. (LP: #1742531)

  * d/p/set-vm-info-to-kvm-for-digitalocean-instances.patch:
    Sets vm_info to kvm for digitalocean instances. (LP: #1743232)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Tue, 23 Jan 2018 11:32:00 -0500

landscape-client (14.12-0ubuntu6.14.04.1) trusty; urgency=medium

  [ Simon Poirier ]
  * Add proxy handling to package reporter. (LP: #1531150)
  * Fix regression in configuration hook under install-cd chroot (LP: #1699789)
  * Report autoremovable packages (LP: #1208393)
  * No not re-register client by default (LP: #1618483)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 10 Nov 2017 16:21:54 -0200

landscape-client (14.12-0ubuntu6.14.04) trusty; urgency=medium

  * Minor updates (LP: #1636477):
    - Fixed error caused by nonexistent directory on install.
    - Fixed users tab issue that caused users not to be shown anymore.
    - Reverted the change that introduced forced user database updates
      in the client.
    - Stopped retrying package operations if a SystemError is raised.
    - Restore behavior of the program exiting with a non-zero exit code
      in case of error during registration.
    - Prevent backtrace during registration with inappropriate account/
      password combinations.
    - Restore the API the charm depends on, add documentation as to its
      meaning and importance.
    - Add a specific error message when the cause of registration failure
      is an SSL error.
    - Changed the package reporter so it retries running apt-get update
      when an error 100 is returned.
    - Let the landscape-client-ui show up in Ubuntu MATE.

 -- Bogdana Vereha <bogdana.vereha@canonical.com>  Tue, 01 Nov 2016 17:39:30 +0100

landscape-client (14.12-0ubuntu5.14.04) trusty; urgency=medium

  * Don't report packages that are coming from backports, so that Landscape
    doesn't try to upgrade to versions of packages that are in backports.
    (LP: #1668583)

 -- Bjorn Tillenius <bjorn@canonical.com>  Thu, 23 Mar 2017 09:45:14 +0000

landscape-client (14.12-0ubuntu0.14.04) trusty; urgency=medium

  * New upstream version (LP: #1401523):
    - Fix regression occurring when performing Landscape-driven release
      upgrades (LP: #1389686)
    - Fix regression occurring when switching the client between different
      Landscape servers (LP: #1376134)
    - Support reporting QEMU virtualization (LP: #1374501)
    - Bump Juju integration message format (LP: #1369635, LP: #1362506)
    - Drop provisioning registration message (LP: #1344054)
    - Drop cloud registration message (LP: #1342646)
    - Fix handling broken packages (LP: #1326940)
    - Add new Swift usage message type (LP: #1320236)
    - Fix platform detection on POWER machines (LP: #1271615)
    - Fix platform detection for arm64 machines (LP: #1306824)
    - Added a mechanism to set the client's user-agent (LP: #1399139)
    - Fixed release-upgrader not asking for a seesion ID before attempting to
      send a message (LP: #1401867)
  * Dropped sysinfo-ignore-nonexistent-config patch, already applied upstream.

 -- Christopher Glass (Canonical) <christopher.glass@canonical.com>  Mon, 15 Dec 2014 09:14:30 +0300
