=== debian/control ===
--- 
+++ 
@@ -42,7 +42,6 @@
 Depends: ${python:Depends}, ${misc:Depends}, ${extra:Depends},
          ${shlibs:Depends},
          python-twisted-web,
-         python-twisted-names,
          python-pycurl,
          landscape-common (= ${binary:Version})
 Suggests: ${extra:Suggests}
